function [mat] = StressStrain(A)

H = 10;
B = 10;

%A = xlsread('SideStillF.xlsx');
Time=A(:,1);
RF1=A(:,2);
RF2=A(:,4);
U1=A(:,6);
U2=A(:,8);

e1 = zeros(101,1);
e2 = zeros(101,1);
s1 = zeros(101,1);
s2 = zeros(101,1);
mises = zeros(101,1);
    for i = 1:101
    e1(i) = U1(i)/B;
    e2(i) = U2(i)/H;
    s1(i) = RF1(i)/((B+U1(i))^2*pi);
    s2(i) = RF2(i)/((H+U2(i))*(2*pi*(B+U1(i))));
    mises(i) = abs(s1(i)-s2(i));
    end

mat=zeros(101,6);
mat(:,1) = Time;
mat(:,2) = e1;
mat(:,3) = e2;
mat(:,4) = s1;
mat(:,5) = s2;
mat(:,6) = mises;  
    
end

