function [output] = VoidVolumeFrac(A)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

H = 10;
B = 10;
R = 2.46620011;
N = 21;

dispH   = 1.2; 
fracB_H = 0;

dispB = fracB_H * dispH;
radseg = (1/(N-1))*(pi/2);

x = zeros(1,N);
y = zeros(1,N);
for i = 0:N-1
    x(i+1)=R*cos((pi/2)-(i)*radseg);  
    y(i+1)=R*sin((pi/2)-(i)*radseg); 
end

%A = xlsread('SideStill.xlsx');
Time=A(:,1);
U1_temp = A(:,2:2:2*N);
U2_temp = A(:,2*N+2:2:4*N);
U1 = U1_temp;
U2 = U2_temp;

% 1 -> 11
U1temp1 = U1_temp(:,1);
U2temp1 = U2_temp(:,1);
% 2 -> 1
U1temp2 = U1_temp(:,2);
U2temp2 = U2_temp(:,2);
% 3 -> 21
U1temp3 = U1_temp(:,3);
U2temp3 = U2_temp(:,3);

for i = 1:21
   if i == 1 
        U1(:,i) = U1temp2;
        U2(:,i) = U2temp2;
   elseif i > 1 && i < 11
        U1(:,i) = U1_temp(:,i+2);
        U2(:,i) = U2_temp(:,i+2);
   elseif i == 11
        U1(:,i) = U1temp1;
        U2(:,i) = U2temp1; 
   elseif i > 11 && i < 21
        U1(:,i) = U1_temp(:,i+1);
        U2(:,i) = U2_temp(:,i+1);
   elseif i == 21
        U1(:,i) = U1temp3;
        U2(:,i) = U2temp3;   
   end        
end 

X = zeros(size(U1));
Y = zeros(size(U2));
for i = 1:21
   X(:,i) = U1(:,i) + x(i)*ones(101,1);
   Y(:,i) = U2(:,i) + y(i)*ones(101,1);
end 

A_void = zeros(101,1);
for i = 1:101
   Area_timestep = 0;
   for j = 1:N-1
     h = (Y(i,j)+Y(i,j+1))/2;
     b = (X(i,j+1)-X(i,j));
     Area_timestep = Area_timestep + h*b;
   end   
   A_void(i) = Area_timestep;
end

V_void = zeros(101,1);
for i = 1:101
   volume_timestep = 0;
   for j = 1:N-1
     h = 2*(Y(i,j)+Y(i,j+1))/2;
     b = X(i,j+1)-X(i,j);
     r = (X(i,j)+X(i,j+1))/2;
     %r = X(i,j+1);
     volume_timestep = volume_timestep + h*b*2*pi*r;
   end   
   V_void(i) = volume_timestep;
end

side=zeros(101,1);
top = zeros(101,1);
V_cell = zeros(101,1);
for i = 1:101
top(i)=2*(H+dispH*(Time(i)/Time(end)));
side(i)=B+dispB*(Time(i)/Time(end));
V_cell(i) = side(i)*side(i)*pi*top(i);
end

output = zeros(101,2);
for i=1:101
output(i,1)=Time(i);
output(i,2)=V_void(i)/V_cell(i);
end

%plot(Time,V_void/V_cell)


end

